Package org.opensaml.soap.wstrust.impl

# Class BinarySecretImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl
org.opensaml.soap.wstrust.impl.BinarySecretImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XSBase64Binary`, `XMLObject`, `BinarySecret`, `WSTrustObject`

public class BinarySecretImpl extends XSBase64BinaryImpl implements BinarySecret
BinarySecretImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`type`
The Type attribute value.
`private final AttributeMap`
`unknownChildren`
Wildcard attributes.

### Fields inherited from interface org.opensaml.soap.wstrust.BinarySecret

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_ASYMMETRIC_KEY, TYPE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME, TYPE_NONCE, TYPE_SYMMETRIC_KEY`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BinarySecretImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getType()`
Returns the wst:BinarySecret/@Type attribute value.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`void`
`setType(String newType)`
Sets the wst:BinarySecret/@Type attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl

`getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### type

@Nullable private String type
The Type attribute value.

### unknownChildren

@Nonnull private final AttributeMap unknownChildren
Wildcard attributes.

## Constructor Details

### BinarySecretImpl

public BinarySecretImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getType

@Nullable public String getType()
Returns the wst:BinarySecret/@Type attribute value.

Specified by:
  `getType` in interface `BinarySecret`
Returns:
  the Type attribute value.

### setType

public void setType(@Nullable String newType)
Sets the wst:BinarySecret/@Type attribute value.

Specified by:
  `setType` in interface `BinarySecret`
Parameters:
  `newType` - the Type attribute value to set.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `XSBase64BinaryImpl`
Returns:
  ordered list of child elements